Subject: RE: [nemo] My simple thoughts on HAHA

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Fri, 19 Nov 2004 14:49:33 +0100

> -----Original Message-----
> From: Christophe Janneteau [mailto:[email-masked]]
> Sent: vendredi 19 novembre 2004 11:02
> To: Pascal Thubert (pthubert); Ryuji Wakikawa; [email-masked]
> Cc: Alexandru Petrescu
> Subject: Re: [nemo] My simple thoughts on HAHA
> 
> Ryuji, Pascal, Alex,
> 
> Sorry to jump into the discussion....
> 
> Pascal Thubert (pthubert) wrote:
> > The draft says that the CN reaches Home via the closest point of
> > presence, so if CN does not move, then this does not change. MR
keeps
> > its MNP, and the MNP information is distributed by a routing
protocol
> > over a mesh of tunnels between HAs. The CN is not supposed to see
the MR
> > HoA (it's just a binding ID), unless it is formed from the MNP. The
> > whole concept of Home link is gone.
> 
> In my understanding of HAHA, several HAs will annouce a route in an
> _internetwork_ to the same MNP. The packet sent by CN (addressed to a
> node of MNP) will reach the closest HA (e.g. HA annoucing MNP with the
> smallest metric). And HA will tunnel the packet to MR. Correct?
> 
> Now the question is: what type of internetwork are we talking about?
> 1- The global Internet?, or
> 2- Only a site? in which case all HA would belong to the same site,
and
> there would be only one route advertised from the site gateway to the
> Internet.
> 
> I think 1 would be an issue, especially for IPv6 (see multi6 work).
No?

Could you please elaborate?

> 
> In other words, what are the realist deployement scenarios targeted by
> the draft?
> 

I guess the draft is very simplistic compared to what the deployment
would be, for many aspect. Each ISP would have at least its mobile
routing plane. They would interconnect and form one or more 'global
home's. And common proxies would advertise these aggregations. 

Whether its' realistic or not depends on the business model behind it.
It seems feasible.

Pascal

---

From: Christophe Janneteau <[email-masked]>
Date: Fri, 19 Nov 2004 15:47:23 +0100

Pascal,

Please read below....

Pascal Thubert (pthubert) wrote:
> 
>> -----Original Message----- From: Christophe Janneteau
>> [mailto:[email-masked]] Sent: vendredi 19
>> novembre 2004 11:02 To: Pascal Thubert (pthubert); Ryuji Wakikawa;
>> [email-masked] Cc: Alexandru Petrescu Subject: Re: [nemo] My simple
>> thoughts on HAHA
>> 
>> Ryuji, Pascal, Alex,
>> 
>>> HoA (it's just a binding ID), unless it is formed from the MNP.
>>> The whole concept of Home link is gone.
>> 
>>  _internetwork_ to the same MNP. The packet sent by CN (addressed
>> to a node of MNP) will reach the closest HA (e.g. HA annoucing MNP
>> with the smallest metric). And HA will tunnel the packet to MR.
>> Correct?
>> 
>> Now the question is: what type of internetwork are we talking
>> about? 1- The global Internet?, or 2- Only a site? in which case
>> all HA would belong to the same site,
> 
> and
> 
>> there would be only one route advertised from the site gateway to
>> the Internet.
>> 

In case 1, several HAs in _different_ sites would announce a route for 
the same MNP in the Internet, possibly up to the default free zone 
(DFZ). When the number of MNPs announced in this way in the DFZ becomes 
large, the DFZ becomes overloaded with these routes (scalability issues).

While it seems that such route injection in the DFZ is a common approach 
in IPv4 to support multi-homing, it is also desirable to find more 
scalable ways to support multi-homing in IPv6. This is what the multi6 
WG is working on AFAIK. The charter provides a good description of the 
issue.

In my understanding the HAHA approach in case 1 would rely on the fact 
that (as for IPv4) route injection in the DFZ is possible. But this may 
not be the recommended approach for IPv6 however.

What do you think?

Christophe